Firefox Developer Edition ignores "Use the selected profile without asking at startup" option in Profile manager
If Aurora is going to continue to ignore the "Use the selected profile without asking at startup" option in the Choose User Profile dialog (see bug 1096314), you should probably remove it, or fix it, or something.